Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::partition_move_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O0 , typename O1 , typename C , typename P = ident, int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(PartitionMovable< I, O0, O1, C, P >()&&IteratorRange< I, S >()), int >::type = 0>
tagged_tuple< tag::in(I), tag::out1(O0), tag::out2(O1)> | operator() (I begin, S end, O0 o0, O1 o1, C pred_, P proj_=P{}) const
template<typename Rng , typename O0 , typename O1 , typename C , typename P = ident, typename I = range_iterator_t<Rng>, int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(PartitionMovable< I, O0, O1, C, P >()&&Range< Rng >()), int >::type = 0>
tagged_tuple< tag::in(range_safe_iterator_t< Rng >), tag::out1(O0), tag::out2(O1)> | operator() (Rng &&rng, O0 o0, O1 o1, C pred, P proj=P{}) const